Skip to main content
GET
Create Account
⚠️ This is not a regular API endpoint that returns JSON. 👉 It is a flow that includes account creation and OAuth authorization. This URL should be opened in a popup window. See the Quick Account Creation page for more information about allowing your customers to sign up for Zapier easily.

Main page example

Start with this example code in order to build a correct /v2/authorize API call in a well-sized popup window and await the completion of the flow. Then you can use the other API endpoints to retrieve your needed information. zapier.js

Redirect URI page example

The redirect URI page must exchange the OAuth code for an OAuth token within 2 minutes. The resulting token MAY NOT be stored in an insecure manner. The suggested location is in your application’s database, in a data model for the current user. See the OAuth 2.0 Token Exchange RFC for more detail.

Authorizations

client_id
string
query
required

See our authentication documentation for how to find your Client ID

Query Parameters

client_id
string
required

Your application Client ID.

Minimum string length: 1
redirect_uri
string
required

The page the user will be redirect to after OAuth flow.

Minimum string length: 1
referer
string
Minimum string length: 1
response_type
string
required

Only OAuth response type code is supported

Minimum string length: 1
scope
string
required

Space (%20) separated values

Minimum string length: 1
sign_up_email
string<email>

Email of the user signing up.

Minimum string length: 1
sign_up_first_name
string

First name of the user signing up.

Minimum string length: 1
sign_up_last_name
string

Last name of the user signing up.

Minimum string length: 1
utm_campaign
string
default:workflow_api
Minimum string length: 1
utm_content
string
Minimum string length: 1
utm_medium
string
default:embed
Minimum string length: 1
utm_source
string
default:partner
Minimum string length: 1

Response

Redirect to authorization URL